/*
 * Created on Oct 15, 2004
 */
package tddSample;

/**
 * @author Administrator
 */
public class Triangle {

    private int x;
    private int y;
    private int z;

    /**
     * @param x
     * @param y
     * @param z
     */
    public Triangle(int x, int y, int z) {
        this.x = x;
        this.y = y;
        this.z = z;
    }

    /**
     * returns true if each side has a positive length (> 0), and 
     *   the sum of the length of two sides is greater than the length of the third side. 
     * @return
     */
    public boolean isValid() {
        return (x > 0) && (y > 0) && (z > 0) &&
        	(x + y > z) && (x + z > y) && (y + z > x);
    }

    /**
     * returns true if all sides have the same length 
     * @return
     */
    public boolean isEquilateral() {
        return isValid() &&
        	(x == y) && (x == z);
    }
}
