/*
 * Created on Oct 15, 2004
 */
package tddSample;
import junit.framework.TestCase;

/**
 * @author Administrator
 */
public class TriangleTest extends TestCase {
    private Triangle t111;
    private Triangle t000;
    private Triangle t235;
    private Triangle t2310;
    private Triangle t754;
    private Triangle tm154;
    private Triangle t123;
    private Triangle t221;
    private Triangle t212;
    private Triangle t122;
    
    public void testIsValid() {
        assertTrue(t111.isValid());
        assertFalse(t000.isValid());
        assertFalse(t235.isValid());
        assertFalse(t2310.isValid());
        assertTrue(t754.isValid());
        assertFalse(tm154.isValid());
    }

    public void testIsEquilateral() {
        assertTrue(t111.isEquilateral());
        assertFalse(t754.isEquilateral());
        assertFalse(t000.isEquilateral());
        assertFalse(tm154.isEquilateral());
        assertFalse(t235.isEquilateral());
        assertFalse(t123.isEquilateral());
    }

    protected void setUp() throws Exception {
        super.setUp();
        t111 = new Triangle(1,1,1);
        t000 = new Triangle(0,0,0);
        t235 = new Triangle(2,3,5);
        t2310 = new Triangle(2,3,10);
        t754 = new Triangle(7,5,4);
        tm154 = new Triangle(1,5,4);
        t123 = new Triangle(1,2,3);
        t122 = new Triangle(1,2,2);
        t221 = new Triangle(2,2,1);
        t212 = new Triangle(2,1,2);
    }

    public void testIsIsosceles() {
        assertTrue(new Triangle(2,2,3).isIsosceles());
        assertFalse(t754.isIsosceles());
        assertFalse(t111.isIsosceles());
        assertTrue(t122.isIsosceles());
        assertTrue(t212.isIsosceles());
        assertTrue(t221.isIsosceles());
        assertFalse(t000.isIsosceles());
        assertFalse(t235.isIsosceles());
    }
}
